Subject: 28.0.60; Shift selection commands moves the mark with active region

From: Stefan Kangas <[email-masked]>
Date: Sat, 2 Oct 2021 01:37:56 +0200

0. emacs -Q
1. C-<SPC>
2. C-p
3. S-<up>

The result is that the first region, set in steps 1+2, is deactivated
in step 3.  In other words, step 3 moves the mark to point, and then
moves point up one line.

I expect that step 3 does not move the mark when there is an active region.